Name:           aeolus
Version:        0.9.9
Release:        1%{?dist}
Summary:        Additive organ synthesizer

License:        GPLv3+
URL:            https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/
Source0:        https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:        https://kokkinizita.linuxaudio.org/linuxaudio/downloads/stops-0.3.0.tar.bz2
Source2:        %{name}.conf
Source3:        %{name}.desktop

BuildRequires:  gcc gcc-c++
BuildRequires:  desktop-file-utils
# libraries:
BuildRequires:  alsa-lib-devel
BuildRequires:  clthreads-devel
BuildRequires:  clxclient-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libXft-devel
BuildRequires:  libX11-devel
BuildRequires:  readline-devel
BuildRequires:  zita-alsa-pcmi-devel
#Requires:
Recommends:     %{name}-stops

%description
Aeolus is a synthesized (i.e. not sampled) pipe organ emulator that should be
good enough to make an organist enjoy playing it. It is a software synthesizer
optimized for this job, with possibly hundreds of controls for each stop, that
enable the user to "voice" his instrument. First presented at the 2nd LAD
conference in Karlsruhe, end of April 2004.

Main features of the default instrument: three manuals and one pedal, five
different temperaments, variable tuning, MIDI control of course, stereo,
surround or Ambisonics output, flexible audio controls including a large church
reverb.

Aeolus is not very CPU-hungry, and should run without problems on a e.g. a
1GHz, 256Mb machine.

%package stops
BuildArch: noarch
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary: Default stop definitions for aeolus
%description stops
The default instruments (stop definitions) provided with aeolus.


%prep
%autosetup
%setup -q -T -D -a 1
# remove ldconfig call
sed --in-place --expression='/ldconfig/d' source/Makefile


%build
%{set_build_flags}
cd source
%make_build PREFIX= BINDIR=%{_bindir} LIBDIR=%{_libdir}


%install
cd source
make PREFIX=%{buildroot} BINDIR=%{buildroot}/%{_bindir} LIBDIR=%{buildroot}/%{_libdir} install
cd ..
# install default config to /etc
install -d %{buildroot}/%{_sysconfdir}/
install -p %{SOURCE2} %{buildroot}/%{_sysconfdir}/
# install .desktop file
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE3}

# install stops dir
install -d %{buildroot}/%{_datadir}/%{name}/
cp -a stops-0.3.0 %{buildroot}/%{_datadir}/%{name}/
#cd stops-0.3.0
#find * -type d -print0 | xargs -0 "-I{}" install -p -d   "%%{buildroot}/%%{_datadir}/%%{name}/stops-0.3.0/{}"
#find * -type f -print0 | xargs -0 "-I{}" install -p "{}" "%%{buildroot}/%%{_datadir}/%%{name}/stops-0.3.0/{}"


%files
%{_bindir}/%{name}
%{_libdir}/%{name}_txt.so
%{_libdir}/%{name}_x11.so
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/applications/%{name}.desktop
#%%{_datadir}/icons/hicolor/*/apps/%%{name}.png
%license COPYING 
%doc AUTHORS README

%files stops
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/stops-0.3.0/


%changelog
* Mon Oct 11 2021 Philip Matura <pfed@tura-home.de> - 0.9.9-1
- Update to 0.9.9

* Fri Nov 15 2019 Philip Matura <pfed@tura-home.de> - 0.9.7-1
- Initial build
